let DObject = require('./dynamo'), AWS = require('aws-sdk');
let instance_table = 'loc_tables_';

class InstanceObject extends DObject {

    constructor(data) {
        super(data,{
            tablename: instance_table+process.env["region"],
            region: process.env["region"],
            sorts:['instance_id']
        });
        this.dynamo = new AWS.DynamoDB({apiVersion: "2012-08-10", region: process.env["region"]});
    }

    put() {
        this.dynamo.putItem(this.params)
    }
}

module.exports = InstanceObject;